#  FriendlyAlbum - Photo Album for Plone
#  Copyright (c) 2006 IngeniWeb - Badredine Ladjemi <badredine.ladjemi@ingeniweb.com>
#  $Id: __init__.py,v 1.2 2006/05/16 16:31:56 bladjemi Exp $
# 
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#  
"""
FriendlyAlbum
~~~~~~~~~~~~~

$Id: __init__.py,v 1.2 2006/05/16 16:31:56 bladjemi Exp $
"""

from Globals import package_home
from Products.Archetypes import public as atapi
from Products.CMFCore import CMFCorePermissions
from Products.CMFCore import utils as cmf_utils
from Products.CMFCore.DirectoryView import registerDirectory
import config
import sys
from Products.CMFCore import utils, CMFCorePermissions, DirectoryView
import os


#skins stuffs    
registerDirectory('skins', config.GLOBALS)

def initialize(context):
    import album

    # Ask Archetypes to handback all the type information needed
    # to make the CMF happy.
    types = atapi.listTypes(config.PROJECTNAME)
    content_types, constructors, ftis = atapi.process_types( types,
                                                             config.PROJECTNAME)

    # We want to register each each type with its own permission,
    # this will afford us greater control during system
    # configuration/deployment (and is a good recipe)
    # The pattern used here will create many item options in ZMI
    # menus, but is the only way that allows for things to still be
    # selectable in the UI. If they all had the same name, only the
    # first would be found.
    from permissions import permissions
    allTypes = zip(content_types, constructors)
    for atype, constructor in allTypes:
        kind = "%s: %s" % (config.PROJECTNAME, atype.archetype_name)
        cmf_utils.ContentInit(
            kind,
            content_types      = (atype,),
            permission         = permissions[atype.portal_type],
            extra_constructors = (constructor,),
            fti                = ftis,
            ).initialize(context)

    
    
