## Script (Python) "friendlyalbum_upload_photos"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind state=state
##bind subpath=traverse_subpath
##title=Put photos inside the album
##

domain = 'friendlyalbum'

if context.REQUEST['zipfile']:
    try:
    	files = context.uploadZip(context.REQUEST['zipfile'])
    except:
    	msg = '%s is not a valid Zip file.' % context.REQUEST['zipfile'].filename 
    	state.set(portal_status_message=context.translate(msg, domain=domain), status='failure')
    	return state

else:
    files = []
    for i in (1, 2, 3, 4, 5):
	photo_id = 'photo%i' % i
	if context.REQUEST[photo_id]:
	    try:
	    	files.append(context.addPhoto(file_obj=context.REQUEST[photo_id], filename=context.REQUEST[photo_id].filename))
	    except:
		#bad bad bad BUT we want to ignore non-images
		#except IOError
		pass

files = [file_item for file_item in files if not file_item is None]

if files == []:
    msg = 'No photos have been uploaded.'
    state.set(portal_status_message=context.translate(msg, domain=domain), status='failure')
    return state

    
if len(files) == 1:
    msg = "%s %s" % (files[0], context.translate("has been successfully uploaded to this album.", domain=domain))
else:
    msg = "%s %s" % (', '.join(files), context.translate("have been successfully uploaded to this album.", domain=domain))


state.set(portal_status_message=msg, status='success')
return state
